## org.apache.tools.ant.types
Class Environment.Variable

    java.lang.Object
      |
      +--org.apache.tools.ant.types.Environment.Variable

Enclosing class:
  Environment

public static class Environment.Variable
extends java.lang.Object

Constructor Summary
`Environment.Variable()`

Method Summary
`java.lang.String` `getContent()`
`java.lang.String` `getKey()`
`java.lang.String` `getValue()`
`void` `setFile(java.io.File file)`
`void` `setKey(java.lang.String key)`
`void` `setPath(Path path)`
`void` `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Environment.Variable

    public Environment.Variable()

Method Detail

### setKey

    public void setKey(java.lang.String key)

### setValue

    public void setValue(java.lang.String value)

### getKey

    public java.lang.String getKey()

### getValue

    public java.lang.String getValue()

### setPath

    public void setPath(Path path)

### setFile

    public void setFile(java.io.File file)

### getContent

    public java.lang.String getContent()
                                throws BuildException

    `BuildException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.